Skip to content

GET /api/v3/public/status

Summary

GET public/status

Description

Validates that we can hit the V3 API, requires app_id but no auth token (un authenticated)

Tags: status

Parameters

Header Parameters

Name Type Required Description Example
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Content Type: application/json

Schema

Type: object

Properties:

  • api_version (string)
  • app_id_required (boolean)
  • auth_required (boolean)
  • message (string)
  • ok (boolean)
  • timestamp (integer)
  • v3_app_id_sent (string)
Example Response
{
    "api_version": "v3",
    "app_id_required": true,
    "auth_required": false,
    "message": "LuCore V3 REST API is accessible with an v3_app_id, un-authenticated, and returns json",
    "ok": true,
    "timestamp": 1675461513,
    "v3_app_id_sent": "LCUID-LAP-********-****-****-****-************"
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/public/status" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/public/status"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/public/status',
    [
        'headers' => [
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/public/status'
headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

Example Responses

200 Response

{
    "api_version": "v3",
    "app_id_required": true,
    "auth_required": false,
    "message": "LuCore V3 REST API is accessible with an v3_app_id, un-authenticated, and returns json",
    "ok": true,
    "timestamp": 1675461513,
    "v3_app_id_sent": "LCUID-LAP-********-****-****-****-************"
}

← Back to public index | Back to main index